For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
        • V2 API
              • GETConvert Country State
              • GETGet Company Addresses
              • POSTCreate A Company Address
              • GETGet A Company Address
              • PUTUpdate A Company Address
              • DELDelete A Company Address
    • Closed Beta Programs
Dev Portal
LogoLogo
ArchiveB2B EditionV2 APIAddress

Update A Company Address

Deprecated
PUT
https://api-b2b.bigcommerce.com/api/v2/io/companies/:companyId/addresses/:addressId
PUT
/api/v2/io/companies/:companyId/addresses/:addressId
$curl -X PUT https://api-b2b.bigcommerce.com/api/v2/io/companies/companyId/addresses/addressId \
> -H "authToken: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "code": 200,
3 "data": {
4 "addressId": "4"
5 },
6 "message": "Success"
7}
Updates an address for a company. You can change whether the address is for billing, shipping, or both. You can also update the address to be the default billing or shipping address for the company.
Was this page helpful?
Previous

Get A Company Address

Next

Delete A Company Address

Built with

Authentication

authTokenstring
API Key authentication via header

Path parameters

addressIdstringRequired
companyIdstringRequired

Headers

authTokenstringRequired
Auth token in header.

Request

Request body
addressLine1stringOptional
Typically the street address
addressLine2stringOptional
More detailed information about where to deliver mail, such as a suite or office number
citystringOptional
countryobjectOptional
firstNamestringOptional
Address first name
isBillingbooleanOptional
Indicates whether the address is a billing address
isDefaultBillingbooleanOptional
Indicates whether the address is the default billing address
isDefaultShippingbooleanOptional
Indicates whether the address is the default shipping address
isShippingbooleanOptional
Indicates whether the address is a shipping address
labelstringOptional
Address label
lastNamestringOptional
Address last name
phoneNumberstringOptional
Address phone number
stateobjectOptional
zipCodestringOptional
externalIdstringOptional

Response

Response Success
codedouble
Response status code
dataobject
Response data
messagestring
Response message

Errors

400
Bad Request Error
404
Not Found Error